ERRO AO INSTALAR GIT NO UBUNTU PELO TERMINAL

1. ERRO AO INSTALAR GIT NO UBUNTU PELO TERMINAL

Winicius Allan Bezerra da Silva
wncs

(usa Ubuntu)

Enviado em 03/07/2022 - 12:37h

Sou novo no Linux e recentemente tentei instalar o GIT pelo terminal, mas encontrei uma barreira. Fui atrás de várias soluções, já tentei usar o
sudo apt-get update 
antes da instalação, baixar as dependências necessárias, mas sempre da o mesmo erro.
Aparece:
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 2
dpkg: erro ao processar o pacote linux-image-5.15.0-25-generic (--remove):
o subprocesso instalado, do pacote linux-image-5.15.0-25-generic, o script post-removal retornou erro do status de saída 1
dpkg: demasiados erros, a parar
Erros foram encontrados durante o processamento de:
linux-image-5.15.0-25-generic
Processamento parou porque havia muitos erros.
E: Sub-process /usr/bin/dpkg returned an error code (1)


Aparentemente o problema é nesse linux-image-5.15.0-25-generic. Alguem consegue me ajudar?


  


2. Re: ERRO AO INSTALAR GIT NO UBUNTU PELO TERMINAL

Carlos A. P. Cunha
Carlos_Cunha

(usa Linux Mint)

Enviado em 03/07/2022 - 20:17h


wncs escreveu:

Sou novo no Linux e recentemente tentei instalar o GIT pelo terminal, mas encontrei uma barreira. Fui atrás de várias soluções, já tentei usar o
sudo apt-get update 
antes da instalação, baixar as dependências necessárias, mas sempre da o mesmo erro.
Aparece:
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 2
dpkg: erro ao processar o pacote linux-image-5.15.0-25-generic (--remove):
o subprocesso instalado, do pacote linux-image-5.15.0-25-generic, o script post-removal retornou erro do status de saída 1
dpkg: demasiados erros, a parar
Erros foram encontrados durante o processamento de:
linux-image-5.15.0-25-generic
Processamento parou porque havia muitos erros.
E: Sub-process /usr/bin/dpkg returned an error code (1)


Aparentemente o problema é nesse linux-image-5.15.0-25-generic. Alguem consegue me ajudar?


Tente

sudo apt install -f



Caso ok, siga com o que quer instalar, caso erro, poste a saída do comando acima.
#-------------------------------------------------------------------------------------#
"Falar é fácil, me mostre o código." - Linus Torvalds
#-------------------------------------------------------------------------------------#



3. Re: ERRO AO INSTALAR GIT NO UBUNTU PELO TERMINAL

Winicius Allan Bezerra da Silva
wncs

(usa Ubuntu)

Enviado em 03/07/2022 - 21:38h



Carlos_Cunha escreveu:


wncs escreveu:

Sou novo no Linux e recentemente tentei instalar o GIT pelo terminal, mas encontrei uma barreira. Fui atrás de várias soluções, já tentei usar o
sudo apt-get update 
antes da instalação, baixar as dependências necessárias, mas sempre da o mesmo erro.
Aparece:
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 2
dpkg: erro ao processar o pacote linux-image-5.15.0-25-generic (--remove):
o subprocesso instalado, do pacote linux-image-5.15.0-25-generic, o script post-removal retornou erro do status de saída 1
dpkg: demasiados erros, a parar
Erros foram encontrados durante o processamento de:
linux-image-5.15.0-25-generic
Processamento parou porque havia muitos erros.
E: Sub-process /usr/bin/dpkg returned an error code (1)


Aparentemente o problema é nesse linux-image-5.15.0-25-generic. Alguem consegue me ajudar?


Tente

sudo apt install -f



Caso ok, siga com o que quer instalar, caso erro, poste a saída do comando acima.
#-------------------------------------------------------------------------------------#
"Falar é fácil, me mostre o código." - Linus Torvalds
#-------------------------------------------------------------------------------------#


Usei o comando e a saída foi essa, o mesmo erro.
A remover linux-image-5.15.0-25-generic (5.15.0-25.25) ...
/etc/kernel/postrm.d/initramfs-tools:
update-initramfs: Deleting /boot/initrd.img-5.15.0-25-generic
/etc/kernel/postrm.d/zz-update-grub:
Sourcing file `/etc/default/grub'
/usr/sbin/grub-mkconfig: 11: /etc/default/grub: Syntax error: Unterminated quote
d string
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 2
dpkg: erro ao processar o pacote linux-image-5.15.0-25-generic (--remove):
o subprocesso instalado, do pacote linux-image-5.15.0-25-generic, o script post
-removal retornou erro do status de saída 1
dpkg: demasiados erros, a parar
Erros foram encontrados durante o processamento de:
linux-image-5.15.0-25-generic
Processamento parou porque havia muitos erros.
E: Sub-process /usr/bin/dpkg returned an error code (1)




4. Re: ERRO AO INSTALAR GIT NO UBUNTU PELO TERMINAL

Carlos A. P. Cunha
Carlos_Cunha

(usa Linux Mint)

Enviado em 04/07/2022 - 12:31h

Tente isso:


sudo dpkg -l |grep linux-image
sudo apt remove linux-image-5.15.0-25-generic
sudo dpkg -l |grep linux-image




#-------------------------------------------------------------------------------------#
"Falar é fácil, me mostre o código." - Linus Torvalds
#-------------------------------------------------------------------------------------#



5. Re: ERRO AO INSTALAR GIT NO UBUNTU PELO TERMINAL

Winicius Allan Bezerra da Silva
wncs

(usa Ubuntu)

Enviado em 04/07/2022 - 13:56h



O primeiro e o terceiro código funcionaram, mas o segundo deu erro.
~$ sudo apt remove linux-image-5.15.0-25-generic
Lendo listas de pacotes... Pronto
Construindo árvore de dependências... Pronto
Lendo informação de estado... Pronto
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
linux-modules-5.15.0-25-generic : Depende: linux-image-5.15.0-25-generic mas não será instalado ou
linux-image-unsigned-5.15.0-25-generic mas não será instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).






6. Re: ERRO AO INSTALAR GIT NO UBUNTU PELO TERMINAL

Carlos A. P. Cunha
Carlos_Cunha

(usa Linux Mint)

Enviado em 04/07/2022 - 15:14h

Tenta isso:



sudo dpkg -l |grep linux-image
sudo apt remove --purge linux-*-5.15.0-25*
sudo apt install -f
sudo dpkg -l |grep linux-image




#-------------------------------------------------------------------------------------#
"Falar é fácil, me mostre o código." - Linus Torvalds
#-------------------------------------------------------------------------------------#



7. Re: ERRO AO INSTALAR GIT NO UBUNTU PELO TERMINAL

Winicius Allan Bezerra da Silva
wncs

(usa Ubuntu)

Enviado em 04/07/2022 - 15:42h



No segundo código deu o seguinte erro:
Lendo banco de dados ... 204483 ficheiros e directórios actualmente instalados.
)
A remover linux-image-5.15.0-25-generic (5.15.0-25.25) ...
/etc/kernel/postrm.d/initramfs-tools:
update-initramfs: Deleting /boot/initrd.img-5.15.0-25-generic
/etc/kernel/postrm.d/zz-update-grub:
Sourcing file `/etc/default/grub'
/usr/sbin/grub-mkconfig: 11: /etc/default/grub: Syntax error: Unterminated quote
d string
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 2
dpkg: erro ao processar o pacote linux-image-5.15.0-25-generic (--remove):
o subprocesso instalado, do pacote linux-image-5.15.0-25-generic, o script post
-removal retornou erro do status de saída 1
dpkg: demasiados erros, a parar
Erros foram encontrados durante o processamento de:
linux-image-5.15.0-25-generic
Processamento parou porque havia muitos erros.
W: Can not find PkgVer for 'linux-modules-5.15.0-25-generic'
W: Can not find PkgVer for 'linux-modules-extra-5.15.0-25-generic'
E: Sub-process /usr/bin/dpkg returned an error code (1)


No terceiro código, tambem houve um erro com o linux-image-0.15.0-25-generic

Tem alguma maneira de instalar de outra forma ou por um arquivo?




8. Re: ERRO AO INSTALAR GIT NO UBUNTU PELO TERMINAL

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 05/07/2022 - 08:09h


wncs escreveu:



No segundo código deu o seguinte erro:
Lendo banco de dados ... 204483 ficheiros e directórios actualmente instalados.
)
A remover linux-image-5.15.0-25-generic (5.15.0-25.25) ...
/etc/kernel/postrm.d/initramfs-tools:
update-initramfs: Deleting /boot/initrd.img-5.15.0-25-generic
/etc/kernel/postrm.d/zz-update-grub:
Sourcing file `/etc/default/grub'
/usr/sbin/grub-mkconfig: 11: /etc/default/grub: Syntax error: Unterminated quote
d string
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 2
dpkg: erro ao processar o pacote linux-image-5.15.0-25-generic (--remove):
o subprocesso instalado, do pacote linux-image-5.15.0-25-generic, o script post
-removal retornou erro do status de saída 1
dpkg: demasiados erros, a parar
Erros foram encontrados durante o processamento de:
linux-image-5.15.0-25-generic
Processamento parou porque havia muitos erros.
W: Can not find PkgVer for 'linux-modules-5.15.0-25-generic'
W: Can not find PkgVer for 'linux-modules-extra-5.15.0-25-generic'
E: Sub-process /usr/bin/dpkg returned an error code (1)


No terceiro código, tambem houve um erro com o linux-image-0.15.0-25-generic

Tem alguma maneira de instalar de outra forma ou por um arquivo?



Tenta
sudo dpkg --purge --force-all linux-image-0.15.0-25-generic linux-modules-5.15.0-25-generic linux-modules-extra-5.15.0-25-generic
Sudo dpkg --configure -a
sudo apt update && apt upgrade
Mas primeiro verifique se não é o kernel q vc está usando


9. ERRO AO INSTALAR GIT NO UBUNTU PELO TERMINAL

Marcos Fernandes
markirius

(usa Arch Linux)

Enviado em 05/07/2022 - 08:35h


/usr/sbin/grub-mkconfig: 11: /etc/default/grub: Syntax error: Unterminated quote
d string


você editou em algum momento o grub para iniciar o boot com algum outro sistema, pela mensagem o erro está em alguma "aspa" faltando no arquivo grub /etc/default/grub, causando o erro no update do grub e impossibilitando demais instalações/atualizações.

após corrigir esta questão das "aspas", você tenta atualizar novamente.

Na dúvida começa pela linha 11 no arquivo grub, não ficou claro no retorno, mas pode ser a linha com problema.


10. Re: ERRO AO INSTALAR GIT NO UBUNTU PELO TERMINAL

Carlos A. P. Cunha
Carlos_Cunha

(usa Linux Mint)

Enviado em 05/07/2022 - 08:44h


sudo aptitude purge linux-*-5.15.0-25*
sudo apt install -f





#-------------------------------------------------------------------------------------#
"Falar é fácil, me mostre o código." - Linus Torvalds
#-------------------------------------------------------------------------------------#



11. Re: ERRO AO INSTALAR GIT NO UBUNTU PELO TERMINAL

Jbaf68
Jbaf

(usa XUbuntu)

Enviado em 05/07/2022 - 09:50h


markirius escreveu:


/usr/sbin/grub-mkconfig: 11: /etc/default/grub: Syntax error: Unterminated quote
d string


você editou em algum momento o grub para iniciar o boot com algum outro sistema, pela mensagem o erro está em alguma "aspa" faltando no arquivo grub /etc/default/grub, causando o erro no update do grub e impossibilitando demais instalações/atualizações.

após corrigir esta questão das "aspas", você tenta atualizar novamente.

Na dúvida começa pela linha 11 no arquivo grub, não ficou claro no retorno, mas pode ser a linha com problema.




Bom dia,

Tem razão @Marcos, também vejo isso, mas, na dúvida....autor do tópico, além de verificar aqui o que te foi pedido, no terminal digite:

uname -a ##=> Poste aqui o que te aparece.



12. Re: ERRO AO INSTALAR GIT NO UBUNTU PELO TERMINAL

Winicius Allan Bezerra da Silva
wncs

(usa Ubuntu)

Enviado em 05/07/2022 - 10:02h


markirius escreveu:


/usr/sbin/grub-mkconfig: 11: /etc/default/grub: Syntax error: Unterminated quote
d string


você editou em algum momento o grub para iniciar o boot com algum outro sistema, pela mensagem o erro está em alguma "aspa" faltando no arquivo grub /etc/default/grub, causando o erro no update do grub e impossibilitando demais instalações/atualizações.

após corrigir esta questão das "aspas", você tenta atualizar novamente.

Na dúvida começa pela linha 11 no arquivo grub, não ficou claro no retorno, mas pode ser a linha com problema.


Eu estava fuçando o erro e reparei na mesma coisa, fui ver o que tinha de errado dentro do arquivo grub. Da linha 8 a linha 13
GRUB_DEFAULT=0
GRUB_TIMEOUT_STYLE=hidden
GRUB_TIMEOUT=0
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT="quiet spla h amdgpu.dc=0 "
GRUB_CMDLINE_LINUX=""

Não encontrei nenhuma falta de aspas na linha 11, mas na linha 12 a palavra "splash" está sem o s, tentei encontrar uma forma de editar, mas nao tenho permissão. Alguma sugestão?




01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts